#ifndef ETHERNETCAMERASENSOR_H_
#define ETHERNETCAMERASENSOR_H_

#include "EthernetNode.h"

namespace cosi {

namespace library {

namespace wiredbas {

class EthernetCameraSensor : public EthernetNode {

public:

	EthernetCameraSensor();

	virtual ~EthernetCameraSensor();

	cosi::commstruct::wiredbas::PlatformInstance* GetPlatformInstance(int V,
			Position pP);

	cosi::commstruct::wiredbas::Implementation * GetImplementationInstance(
			int V, Position pP, ThreadSet pThreads, TransferTable pT);

	double GetCost();

	RealDelay GetDelay(Vertex NodeId,
				cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
				Vertex Dest);
    double GetDelayValue(Vertex NodeId,
				cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
				Vertex Dest);

	 RealDelay GetDelay(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
			std::string Dest) {return RealDelay(0);};
	 double GetDelayValue(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
			std::string Dest) {return 0;};

	std::string ComponentName;

	std::string ComponentType;

};

}

}

}

#endif /*ETHERNETCAMERASENSOR_H_*/
